{{ define "classes" }}large-page{{end}}

{{ define "main" }}
<h1 id="error-emoji" class="page-title"></h1>
<div class="hero-content">
  <p><span id="error-curse"></span>&nbsp;{{ i18n "404.title" }}</p>
</div>
<div class="links">
  <div class="item">
    <a href="{{ .Site.BaseURL }}" class="link">{{ i18n "404.link.home" }}</a>
  </div>
</div>
{{ end }}

{{ define "final-script" }}
<script>
  function insertRandomElement(target, values) {
    document.getElementById(target)
      .appendChild(document.createTextNode(values[Math.floor(Math.random() * values.length)]));
  }

  insertRandomElement('error-emoji', [
    '\\(o_o)/', '(o^^)o', '(˚Δ˚)b', '(^-^*)', '(≥o≤)', '(^_^)b', '(·_·)',
    '(=\'X\'=)', '(>_<)', '(;-;)', '\\(^Д^)/'
  ]);
  insertRandomElement('error-curse', [
    {{ range $sequence :=  seq 1 4 }}
    '{{ printf "404.curse.%d" $sequence | i18n }}',
    {{ end }}
  ])
</script>
{{ end }}
